# TaskInputs

interface TaskInputs

A `TaskInputs` represents the inputs for a task.

You can obtain a `TaskInputs` instance using getInputs.

## Functions

dir
Link copied to clipboard
abstract fun dir(dirPath: Any): TaskInputFilePropertyBuilder
Registers an input directory hierarchy.
file
Link copied to clipboard
abstract fun file(path: Any): TaskInputFilePropertyBuilder
Registers some input file for this task.
files
Link copied to clipboard
abstract fun files(@Nullable paths: Array<@Nullable Any>): TaskInputFilePropertyBuilder
Registers some input files for this task.
getFiles
Link copied to clipboard
abstract fun getFiles(): FileCollection
Returns the input files of this task.
getHasInputs
Link copied to clipboard
abstract fun getHasInputs(): Boolean
Returns true if this task has declared the inputs that it consumes.
getHasSourceFiles
Link copied to clipboard
abstract fun getHasSourceFiles(): Boolean
Returns true if this task has declared that it accepts source files.
getProperties
Link copied to clipboard
abstract fun getProperties(): Map<String, Any>
Returns a map of input properties for this task.
getSourceFiles
Link copied to clipboard
abstract fun getSourceFiles(): FileCollection
Returns the set of source files for this task.
properties
Link copied to clipboard
abstract fun properties(properties: Map<String, out Any>): TaskInputs
Registers a set of input properties for this task.
properties
Link copied to clipboard
inline fun TaskInputs.properties(vararg properties: Pair<String, Any>): TaskInputs

Kotlin extension function for org.gradle.api.tasks.TaskInputs.properties.

property
Link copied to clipboard
abstract fun property(name: String, @Nullable value: @Nullable Any): TaskInputPropertyBuilder
Registers an input property for this task.